Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.util.jdbc
Class WlsOracleThinDatabase

    java.lang.Object
      com.bea.p13n.util.jdbc.GenericDatabase
          com.bea.p13n.util.jdbc.OracleDatabase
              com.bea.p13n.util.jdbc.WlsOracleThinDatabase

All Implemented Interfaces
  Database

Deprecated No longer needed, as JDBC methods work with all supported drivers

    @Deprecated
    public class WlsOracleThinDatabase

extends OracleDatabase

Concrete implementation of OracleDatabase that provides support for reading/writing of BLOB/CLOB data. Designed to work with Oracle Thin driver when running inside an application server context.

See Also
  `OracleDatabase`

Constructor Summary
`WlsOracleThinDatabase(Connection connection)` Deprecated

Method Summary
`boolean` | `accept(Connection connection)` Deprecated Check to see if the connection URL matches the format defined in "accept.driver.url.regex".
`boolean` | `commitConnection(Connection connection)` Deprecated
`byte[]` | `getBlob(ResultSet rs, int index)` Deprecated Retrieve Blob value and write to an InputStream from a ResultSet.
`OutputStream` | `getBlobLocator(Connection con, String tableName, String blobColumnName, String whereClause)` Deprecated Gets the BlobLocator object inside an Oracle database column.
`String` | `getClob(ResultSet rs, int index)` Deprecated Retrieve CLOB value as a String of Unicode characters.
`String` | `getName()` Deprecated The name of this GenericDatabase instance.
`void` | `insertClob(ClobKey key, String data)` Deprecated Inserts a CLOB into the database managed tables for CLOB persistence
`String` | `readClob(ClobKey key)` Deprecated Reads a CLOB into the database managed tables for CLOB persistence
`void` | `removeClob(ClobKey key)` Deprecated Removes a CLOB from the database managed tables for CLOB persistence
`void` | `updateClob(ClobKey key, String data)` Deprecated Updates a CLOB in the database managed tables for CLOB persistence
`void` | `writeToClob(Clob clob, String data)` Deprecated Writes the data from the String into the Clob.

Methods inherited from class com.bea.p13n.util.jdbc.OracleDatabase
`getClobLocator, getClobLocatorForAdBucket, getEmptyBlobInitializer, getEmptyClobInitializer, setClob, trimClob`

Methods inherited from class com.bea.p13n.util.jdbc.GenericDatabase
`close, close, close, close, close, close, close, close, close, createPreparedStatement, endBlob, endClob, getApplicationName, getClobTableName, getConnection, getProperty, printSqlWarning, readFromClob, readFromClob, setClob, startBlob, startClob, writeToClob`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WlsOracleThinDatabase

    public WlsOracleThinDatabase(Connection connection)

  Deprecated

Method Detail

### accept

    public boolean accept(Connection connection)

  Deprecated
  Description copied from class: `GenericDatabase`
  Check to see if the connection URL matches the format defined in "accept.driver.url.regex".

  Specified by:
    `accept` in interface `Database`
  Overrides:
    `accept` in class `GenericDatabase`
  Parameters
    `connection` - The Connection object that contains the URL.
  Returns
    true if this Database can bind to the supplied connection. Typically the Database will examine the Connection MetaData to determine suitability.

### writeToClob

    public void writeToClob(Clob clob,
                            String data)
                     throws SQLException

  Deprecated
  Writes the data from the String into the Clob.

  Specified by:
    `writeToClob` in interface `Database`
  Overrides:
    `writeToClob` in class `GenericDatabase`
  Parameters
    `clob` - The target Clob object.
    `data` - The data to be converted to a Clob in the form of a String.
  Throws
    `SQLException` - Thrown because this is an unsupported operation.

### insertClob

    public void insertClob(ClobKey key,
                           String data)
                    throws SQLException

  Deprecated
  Inserts a CLOB into the database managed tables for CLOB persistence

  Throws
    `SQLException`

### removeClob

    public void removeClob(ClobKey key)
                    throws SQLException

  Deprecated
  Removes a CLOB from the database managed tables for CLOB persistence

  Throws
    `SQLException`

### updateClob

    public void updateClob(ClobKey key,
                           String data)
                    throws SQLException

  Deprecated
  Updates a CLOB in the database managed tables for CLOB persistence

  Overrides:
    `updateClob` in class `OracleDatabase`
  Throws
    `SQLException`

### readClob

    public String readClob(ClobKey key)
                    throws SQLException

  Deprecated
  Reads a CLOB into the database managed tables for CLOB persistence

  Throws
    `SQLException`

### getName

    public String getName()

  Deprecated
  Description copied from class: `GenericDatabase`
  The name of this GenericDatabase instance.

  Specified by:
    `getName` in interface `Database`
  Overrides:
    `getName` in class `GenericDatabase`
  Returns
    the name of the database

### getClob

    public String getClob(ResultSet rs,
                          int index)
                   throws SQLException

  Deprecated
  Retrieve CLOB value as a String of Unicode characters.

  Specified by:
    `getClob` in interface `Database`
  Overrides:
    `getClob` in class `GenericDatabase`
  Parameters
    `rs` - the resultset containing the clob
    `index` - the position of the clob in the resultset
  Returns
    the value of the CLOB as a String.
  Throws
    `SQLException` - on an error
  See Also
    `getClob(ResultSet rs, int index)`

### commitConnection

    public boolean commitConnection(Connection connection)
                             throws SQLException

  Deprecated
  Specified by:
    `commitConnection` in interface `Database`
  Overrides:
    `commitConnection` in class `GenericDatabase`
  Throws
    `SQLException`

### getBlob

    public byte[] getBlob(ResultSet rs,
                          int index)
                   throws SQLException

  Deprecated
  Retrieve Blob value and write to an InputStream from a ResultSet.

  Specified by:
    `getBlob` in interface `Database`
  Overrides:
    `getBlob` in class `GenericDatabase`
  Parameters
    `rs` - The ResultSet containing the Blob.
    `index` - The position of the Blob in the ResultSet.
  Returns
    An InputStream containing the binary value of the Blob.
  Throws
    `SQLException` - on an error

### getBlobLocator

    public OutputStream getBlobLocator(Connection con,
                                       String tableName,
                                       String blobColumnName,
                                       String whereClause)
                                throws SQLException

  Deprecated
  Gets the BlobLocator object inside an Oracle database column.

  Specified by:
    `getBlobLocator` in interface `Database`
  Overrides:
    `getBlobLocator` in class `GenericDatabase`
  Returns
    OutputStream An OutputStream pointing to the BlobLocator.
  Throws
    `SQLException` - on an error.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.